﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="index.aspx.cs" Inherits="tx_checkrequirements.index" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="Scripts/modernizr-2.8.3.js"></script>
    <script src="Scripts/jquery-2.1.1.js"></script>
    <link href="styles.css" rel="stylesheet" />
</head>
<body>
    <form id="form1" runat="server">
    <div>

        <div id="progress">
            <div id="canvas"></div>
            <div id="websockets"></div>
            <div id="websocketsin"></div>
            <div id="websocketsout"></div>
        </div>
        
        <p id="desc"></p>
        
        <script>

            function addClassDelayed(jqObj, c, to) {
                setTimeout(function () { jqObj.addClass(c); }, to);
            }
            
            if (Modernizr.canvas) {
                addClassDelayed($("#canvas"), "canvas_green", 1000);
                setTimeout(function () { $("#desc").text("Canvas available") }, 1000);
            }

            if (Modernizr.websockets) {
                addClassDelayed($("#websockets"), "websockets_green", 2000);
                setTimeout(function () { $("#desc").text("WebSockets available") }, 2000);
            }

            function onError(evt) {
                setTimeout(function () { $("#desc").text("WebSocket connection closed. Something is wrong!"); $("#desc").css("color", "red"); }, 3000);
            }

            function WebSocketTest() {
                if (Modernizr.websockets) {
                    webSocket = new WebSocket("ws://" + window.location.host + "/default.SocketTest");
                    webSocket.onclose = function (evt) { onError(evt) };
                    webSocket.onerror = function (evt) { onError(evt) };

                    webSocket.onopen = function () {

                        webSocket.send("Test");
                        addClassDelayed($("#websocketsin"), "websocketsin_green", 3000);
                        setTimeout(function () { $("#desc").text("WebSockets can send data") }, 3000);

                        webSocket.onmessage = function (event) {
                            addClassDelayed($("#websocketsout"), "websocketsout_green", 4000);
                            setTimeout(function () { $("#desc").text("WebSockets can receive data") }, 4000);
                            setTimeout(function () { $("#desc").text("Browser and connection OK"); $("#desc").css("color", "green"); }, 5000);
                        }

                    };
                    
                }
            }

            WebSocketTest();

    </script>

    </div>
    </form>
</body>
</html>
